adwaita icon them not found

Bug #1787989 reported by Emmanuel on 2018-08-20
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
elementary-xfce (Ubuntu)
Undecided
Unassigned
Disco
Undecided
Unassigned
xubuntu-artwork (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

The installed version is xubuntu 18.04 fully updated

$ lsb_release -rd
Description: Ubuntu 18.04 LTS
Release: 18.04

$ apt-cache policy kphotoalbum
kphotoalbum:
  Installé : 5.3-1
  Candidat : 5.3-1
 Table de version :
 *** 5.3-1 500
        500 http://fr.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        100 /var/lib/dpkg/status

When launched from shell, kphotoalbum indicate :
Icon theme "adwaita" not found.

As a result, there's missing icons on kphotoalbum
Expected result is to have all icons displayed on kphotoalbum

The following package are installed :

$ apt list --installed | grep adwaita
adwaita-icon-theme/bionic,bionic,now 3.28.0-1ubuntu1 all [installé]
adwaita-icon-theme-full/bionic,bionic,now 3.28.0-1ubuntu1 all [installé]
adwaita-qt/bionic,now 1.0-2 amd64 [installé]

$ apt list --installed | grep gtk
adobe-flash-properties-gtk/bionic,now 1:20180814.1-0ubuntu0.18.04.2 amd64 [installé, automatique]
apport-gtk/bionic-security,bionic-security,now 2.20.9-0ubuntu7.1 all [installé]
gir1.2-gtk-3.0/bionic,now 3.22.30-1ubuntu1 amd64 [installé]
gir1.2-gtkclutter-1.0/bionic,now 1.8.4-3 amd64 [installé]
gir1.2-gtksource-3.0/bionic,now 3.24.7-1 amd64 [installé, automatique]
gir1.2-javascriptcoregtk-4.0/bionic-security,now 2.20.5-0ubuntu0.18.04.1 amd64 [installé]
greybird-gtk-theme/bionic,bionic,now 3.22.8-1 all [installé]
gstreamer1.0-gtk3/bionic,now 1.14.0-1ubuntu1 amd64 [installé, automatique]
gtk-update-icon-cache/bionic,now 3.22.30-1ubuntu1 amd64 [installé]
gtk2-engines-murrine/bionic,now 0.98.2-2ubuntu1 amd64 [installé]
gtk2-engines-pixbuf/bionic,now 2.24.32-1ubuntu1 amd64 [installé]
libcanberra-gtk3-0/bionic,now 0.30-5ubuntu1 amd64 [installé]
libcanberra-gtk3-module/bionic,now 0.30-5ubuntu1 amd64 [installé]
libclutter-gtk-1.0-0/bionic,now 1.8.4-3 amd64 [installé]
libdbusmenu-gtk3-4/bionic,now 16.04.1+18.04.20171206-0ubuntu1 amd64 [installé]
libdbusmenu-gtk4/bionic,now 16.04.1+18.04.20171206-0ubuntu1 amd64 [installé]
libgtk-3-0/bionic,now 3.22.30-1ubuntu1 amd64 [installé]
libgtk-3-bin/bionic,now 3.22.30-1ubuntu1 amd64 [installé]
libgtk-3-common/bionic,bionic,now 3.22.30-1ubuntu1 all [installé]
libgtk2-perl/bionic,now 2:1.24992-1build1 amd64 [installé, automatique]
libgtk2.0-0/bionic,now 2.24.32-1ubuntu1 amd64 [installé]
libgtk2.0-bin/bionic,now 2.24.32-1ubuntu1 amd64 [installé]
libgtk2.0-common/bionic,bionic,now 2.24.32-1ubuntu1 all [installé]
libgtk3-perl/bionic,bionic,now 0.032-1 all [installé]
libgtkmm-2.4-1v5/bionic,now 1:2.24.5-2 amd64 [installé, automatique]
libgtkmm-3.0-1v5/bionic,now 3.22.2-2 amd64 [installé]
libgtksourceview-3.0-1/bionic,now 3.24.7-1 amd64 [installé]
libgtksourceview-3.0-common/bionic,bionic,now 3.24.7-1 all [installé]
libgtkspell0/bionic,now 2.0.16-1.2 amd64 [installé]
libjavascriptcoregtk-4.0-18/bionic-security,now 2.20.5-0ubuntu0.18.04.1 amd64 [installé]
libreoffice-gtk3/bionic,now 1:6.0.3-0ubuntu1 amd64 [installé]
libwebkit2gtk-4.0-37/bionic-security,now 2.20.5-0ubuntu0.18.04.1 amd64 [installé]
libwxgtk3.0-0v5/bionic,now 3.0.4+dfsg-3 amd64 [installé, automatique]
lightdm-gtk-greeter/bionic,now 2.0.5-0ubuntu1 amd64 [installé]
lightdm-gtk-greeter-settings/bionic,bionic,now 1.2.2-1 all [installé]
numix-gtk-theme/bionic,bionic,now 2.6.7-3 all [installé]
pinentry-gtk2/bionic,now 1.1.0-1 amd64 [installé]
python-gtk2/bionic,now 2.24.0-5.1ubuntu2 amd64 [installé, automatique]
python3-aptdaemon.gtk3widgets/bionic,bionic,now 1.1.1+bzr982-0ubuntu19 all [installé]
qt5-gtk-platformtheme/bionic,now 5.9.5+dfsg-0ubuntu1 amd64 [installé, automatique]
software-properties-gtk/bionic,bionic,now 0.96.24.32.1 all [installé]
transmission-gtk/bionic,now 2.92-3ubuntu2 amd64 [installé]
ubuntu-release-upgrader-gtk/bionic,bionic,now 1:18.04.17 all [installé]
xdg-user-dirs-gtk/bionic,now 0.10-2 amd64 [installé]

Emmanuel (ubuntu-oi) on 2018-08-20
affects: gtk+3.0 (Ubuntu) → ubuntu
Paul White (paulw2u) on 2018-08-20
affects: ubuntu → kphotoalbum (Ubuntu)
Markus Kuhn (markus-kuhn) wrote :

Likewise, I get

$ okular
Icon theme "adwaita" not found.
Icon theme "adwaita" not found.

(on Xubuntu).

Emmanuel (ubuntu-oi) wrote :

yep, i'm sure it's not application related but something wrong in xubuntu. that's why i originally set it to Ubuntu... But Paul change it.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kphotoalbum (Ubuntu):
status: New → Confirmed
Emmanuel (ubuntu-oi) on 2018-09-07
tags: added: 18.04 okular
StSav012 (stsav012) wrote :

It's not only `kphotoalbum` and `okular`. It's all KDE apps in XFCE that suffer the problem.

Emmanuel (ubuntu-oi) wrote :

Change to adwaita-icon-theme because it affect all KDE apps on latest LTS xubuntu.
Please provide help

affects: kphotoalbum (Ubuntu) → adwaita-icon-theme (Ubuntu)
Emmanuel (ubuntu-oi) wrote :

Hi all,
I finally found a part of the problem.
In the file /usr/share/icons/elementary-xfce/index.theme
There's the line :
Inherits=adwaita,gnome,hicolor

if it's replaced by (notice a to A change in adwaita)
Inherits=Adwaita,gnome,hicolor

That's because the directory of Adwaita had a "A" not a "a"

kphotoalbum do not complain any more.
So part of the problem is on elementary-xfce theme

however, icons are still not displayed for "Events", "Media Type", "Geolocalisation", and some other in settings menu...

To be continued.. any idea welcome

Emmanuel (ubuntu-oi) wrote :

If the Inherits line in index.theme is changed to
Inherits=Adwaita,gnome,hicolor,breeze

then kphotoalbum looks better but there's still some missing icons.

is there a way to check that all icons are available in a theme ?

Benji (benjim) wrote :

I agree, that the issue is about small "a" and capital "A". This fixes the problem for me:
>sudo ln -s /usr/share/icons/Adwaita /usr/share/icons/adwaita

Maybe, also this works (But as I'm not sure, if there are also programs, which look for Adwaita with a capital "A", I thought having a softlink would be the safest way):
sudo mv /usr/share/icons/Adwaita /usr/share/icons/adwaita

affects: adwaita-icon-theme (Ubuntu) → elementary-xfce (Ubuntu)
Sean Davis (bluesabre) on 2019-03-31
Changed in elementary-xfce (Ubuntu Bionic):
status: New → Invalid
no longer affects: elementary-xfce (Ubuntu Bionic)
no longer affects: xubuntu-artwork (Ubuntu Cosmic)
no longer affects: xubuntu-artwork (Ubuntu Disco)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package elementary-xfce - 0.13.1-1ubuntu1

---------------
elementary-xfce (0.13.1-1ubuntu1) disco; urgency=medium

  * d/patches/adwaita-icon-theme.patch:
    - Correctly inherit Adwaita icon theme (LP: #1787989)

 -- Sean Davis <email address hidden> Sat, 30 Mar 2019 21:28:52 -0400

Changed in elementary-xfce (Ubuntu Disco):
status: Confirmed → Fix Released
Markus Kuhn (markus-kuhn) wrote :

Should the capitalization of Adwaita not also be fixed for Ubuntu 18.04 (bionic) in package xubuntu-icon-theme file /usr/share/icons/elementary-xfce/index.theme which still says

  Inherits=adwaita,gnome,hicolor

even though /usr/share/icons/Adwaita has a capital A?

Emmanuel (ubuntu-oi) wrote :

Yes it is required on 18.04 but the better way should be to change the adwaita package so that it is lowercase like all other font package.

Emmanuel (ubuntu-oi) wrote :

I'm still looking for the right solution.
It seams that playing with this

> sudo apt install qt5ct qt5-style-plugins

Then add in your .bashrc
export QT_QPA_PLATFORMTHEME=qt5ct

has change them also has an impact.
So i think that there is a missing icon theme but which one ?

Emmanuel (ubuntu-oi) wrote :

The following 2 pictures show kphotoalbum with fusion ou breeze theme choosed by qt5ct

Emmanuel (ubuntu-oi) wrote :

I'm definitly lost and not able to find a correect configuration of thene in order to have all icons in kde apps on xfce...
Anyone...any idea ?

Emmanuel (ubuntu-oi) wrote :

hi all,
I finally manage to get all icons on kphotoalbum on xfce.
there's 2 solutions and i don't know which one is the good one.

first elementary theme need to be fixed.
In the file /usr/share/icons/elementary-xfce/index.theme
replace
  Inherits=adwaita,gnome,hicolor
by (notice a to A change in adwaita)
  Inherits=Adwaita,gnome,hicolor

Then to have all icons on kphotoalbum, i need to add other icon theme to the line which ended as :
Inherits=Adwaita,gnome,hicolor,breeze,oxygen,default.kde4,default

Why is this needed, would you ask me.
I've got 2 answers :
a/ the icon fallback mecanism of KDE do not work properly on xubuntu. (Still don't know why)
b/ kphotoalbum.desktop use a line
Icon=kphotoalbum
and this do not exist !! (is this a bug of kphotoalbum or those this application rely too much on the icon's fallback mecanism of KDE ? (not sure at that time).

because it works with all kde apps and all users, i will stay on the workaround that fix /usr/share/icons/elementary-xfce/index.theme but i'm sure that this is not the right answer.

I've solved my problem and i stop research now.
It's up to someone else to finalize it.

I hope that this workarounf could help other people.
bye all.

Sean Davis (bluesabre) on 2020-05-25
no longer affects: elementary-xfce (Ubuntu Cosmic)
Changed in xubuntu-artwork (Ubuntu Bionic):
status: New → Confirmed
status: Confirmed → Triaged
Changed in xubuntu-artwork (Ubuntu):
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints